<?php

/**
 * [SuperLin CMS] (C)2011-2099 Superlin.net
 * This is NOT a freeware, use is subject to license terms
 *
 * $Id: ctl_index.php 2012-5-17 LinJQ $
 */

!defined('PATH_ROOT') && exit('Forbidden');

class ctl_index
{
    public static function index()
    {
		//url::make_index();
		template::assign('title', config::get_one('title'));
		template::assign('keywords', config::get_one('metakeyword'));
		template::assign('description', config::get_one('metadescrip'));
		template::assign('site', config::get_configs());
		template::assign('path', '');

		template::registerPlugin('function', 'site_config', 'func_site_config');

		template::registerPlugin('function', 'func_article_category', 'func_article_category');
		template::registerPlugin('block', 'block_article_category', 'block_article_category');

		template::registerPlugin('function', 'func_article_list', 'func_get_article_list');
		template::registerPlugin('block', 'block_article_list', 'block_get_article_list');

		template::registerPlugin('function', 'func_page_category', 'func_page_category');
		template::registerPlugin('block', 'block_page_category', 'block_page_category');

		template::registerPlugin('function', 'func_page_list', 'func_get_page_list');
		template::registerPlugin('block', 'block_page_list', 'block_get_page_list');

		template::registerPlugin('function', 'plate', 'func_get_plate_content');

		template::display('index.tpl');
	}
}
